Package org.apache.jmeter.extractor.json.jsonpath

# Class JSONManager

java.lang.Object
org.apache.jmeter.extractor.json.jsonpath.JSONManager

public class JSONManager extends Object
Handles the extractions https://github.com/jayway/JsonPath/blob/master/json-path/src/test/java/com/jayway/jsonpath/ComplianceTest.java

Since:
  3.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JSONManager()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Object>`
  `extractWithJsonPath(String jsonString, String jsonPath)`
  `void`
  `reset()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JSONManager

    public JSONManager()

- ## Method Details

  - ### reset

    public void reset()

  - ### extractWithJsonPath

    public List<Object> extractWithJsonPath(String jsonString, String jsonPath) throws ParseException
    Parameters:
      `jsonString` - JSON String from which data is extracted
      `jsonPath` - JSON-PATH expression
    Returns:
      List of JSON Strings of the extracted data
    Throws:
      `ParseException` - when parsing fails